const Joi = require("joi");

const insertNotificationErrorSparepartSchema = Joi.object({
  contact_id: Joi.number().required(),

  brand_sparepart_id: Joi.number().required(),

  is_verification: Joi.boolean().required(),

  is_available: Joi.boolean().required(),

  is_active: Joi.boolean().required(),
});

const updateNotificationErrorSparepartSchema = Joi.object({
  contact_id: Joi.number().required(),

  brand_sparepart_id: Joi.number().optional(),

  is_verification: Joi.boolean().optional(),

  is_available: Joi.boolean().optional(),

  is_active: Joi.boolean().optional(),
});

module.exports = {
  insertNotificationErrorSparepartSchema,
  updateNotificationErrorSparepartSchema,
};
